function [anom, loc, loc_source] = anom_find(wind_len, start, test_bounds, data_ref, data_test, ...
                                             betas_ref, betas_test, time_L, treshold, Nvars)
                             
    fprintf('\n Finding anomalies in test data.\n\n');
    fprintf(' Computing ... \n');
    
    anom = [];
    temp_loc = [1 2]; % set initial window localization
    loc = [];
    loc_source = zeros(length(1 : 100 : size( data_test, 1)), Nvars);
    i = 1;
    while start + wind_len < size(data_test,1) && start < size(data_test,1)

        % Create sample from test data 
        temp_test = data_test(start : start + wind_len, :);
        
        % Compute anomaly
        a = anomaly_comp(data_ref, temp_test, cell2mat(betas_ref.coefs), ...
        cell2mat(betas_test.coefs), time_L); 
        anom = [anom ; a];
        
        if any(a > treshold)
            loc_source(i, find(a>treshold)) = 1;
            loc = [loc; temp_loc];
        end

        start    = start + wind_len + 1;
        temp_loc = temp_loc + 1;
        i = i + 1;
    end
    
    fprintf('\nDone.\n\n');


end