function [treshold] = atreshold_comp(wind_len, start, data_ref, alpha_quant, time_L, ...
                                     Nvars, lamb, eps)
    fprintf('\n Calculating anomaly score distribution for the reference data.\n\n');
    fprintf(' Computing ... \n');
    
    anom = [];
    while start + wind_len < size(data_ref,1) && start < size(data_ref,1)
        % fprintf('\nStart is %d \nStart + wind_len is %d \n', start, wind_len + start)
        % Create storage for beta values 
        temp_betasRef = struc_betas();
        temp_betasTest = struc_betas();

        % Create sample from the data and divide to ref a test data
        sample = data_ref(start : start + wind_len, :);
        temp_ref  = sample(1 : wind_len / 2 , :);
        temp_test = sample(1 + wind_len / 2 : end, :);

        % Compute ref and test coeffs
        temp_betasRef = betasREF_comp(temp_ref, temp_betasRef, time_L, lamb, Nvars);
        temp_betasTest = betasTEST_comp(temp_test, temp_betasTest, temp_betasRef, time_L, lamb, Nvars, eps);

        % Compute anomaly
        a = anomaly_comp(temp_ref, temp_test, cell2mat(temp_betasRef.coefs), ...
        cell2mat(temp_betasTest.coefs), time_L); 
        anom = [anom ; a];

        start = start + wind_len + 1;
    end
    
    % Calculate anomaly treshold for each feature
    treshold = quantile(anom, 1 - alpha_quant, 1);
    
    fprintf('\nAnomaly score distribution for the reference data was computed.\n');
    fprintf('\nDone.\n\n');
end