function [betas_test] = betasTEST_comp(data_test, betas_test, betas_ref, time_lag, lamb, Nvars, eps)

    for i = 1:Nvars 

        [X_test, Y_test] = ts_lag(data_test, time_lag, i);

        %x = [X_test(:); Y_test(:)]; % control variables
        n = size(X_test, 1);        % rows 
        m = size(X_test, 2);        % columns 

        % Passing extra parameters to objective function
        X = X_test;y = Y_test; %  Data for obj function
        XX = X'*X; yy = X'*y*2;

        fun = @(x)LassoObj(x, XX, yy, lamb, n);

        %funArgs = {X'*X, X'*y*2, y'*y, lamb};

        % Parameters for nonlinear constraints
        %eps = 10;
        
        p = size(betas_ref.coefs{i}, 1);
        b_ref = betas_ref.coefs{i};
        %eps = min(b_ref) + 1/2 * (max(b_ref) - min(b_ref));
        
        %fprintf('\n Eps is %f3: \n', eps);
        
        mycon = @(x)nonlcon(x, eps, b_ref); 

        % initial values to converge
        b_init = X\y;    
        b_init = b_init.*(b_init>=0);

        % set bounds for conv
        LB = repmat( - max(abs(b_init)), m, 1);
        UB = repmat(max(abs(b_init)), m, 1);

        %set the options 
        %options = optimoptions(@fmincon,'Algorithm','sqp','MaxIterations',1500);
        
        options = optimoptions(@fmincon, 'Display', 'off');
        [w, ~] = fmincon(fun, b_init, [], [], [], [], LB, UB, mycon, options);
        betas_test.coefs{i} = w;
    end 
end