function [fig] = plot_anomaly(x, sample_test, loc, loc_source, Nvars, sampRate)
    
    source = containers.Map([1, 2, 3, 4, 5, 6], {'Fp1M2', 'C3M2', 'O1M2', ...
                                'Fp2M1', 'C4M1', 'O2M1'});
    xEnd = round(x(end),-2);
    xt = 0:5*sampRate:xEnd;
    xtl = xt/ (5*sampRate);
    temp = 4;
    for i = 1:size(xtl,2)
        if i == 1
            continue
        end
        xtl(i) = xtl(i) + temp;
        temp = temp + 4;
    end
    
    xtl = cellstr(num2str(xtl'))';
    index = [1 4 2 5 3 6];                        
    fig = figure;
    for pl = 1:Nvars
        subplot(Nvars, 1, pl);
        y = sample_test(:, index(pl));
        hold on
        if sum(loc_source(:,pl)) > 0
            ind = find(loc_source(:, pl));
            for j = 1:size(ind,1)
                x1 = ind(j)* sampRate; 
                x2 = (ind(j) + 1) * sampRate;
                H = area([x1, x2], [200, 200], -200);
                h=get(H,'children');
                set(h, 'FaceAlpha',0.5, 'FaceColor', [240 20 20]);
            end

        end
        
        plot(x , y, '-k');
        axis([0, max(x)+100, -200 200]);
        %xticks(round(linspace(0, xEnd, 40), 0));
        %xticklabels(cellstr(num2str(round(linspace(0, xEnd, 40)/200, 0)'))');
        xticks(xt);
        xticklabels(xtl);
        title(source(index(pl)));
        if pl == Nvars
            xlabel('Time in sec');
        end
        % text(-2, 0, 'HorizontalAligment', 'left');
        hold off 


    end
end